Groovy 1.7.0

## org.codehaus.groovy.groovydoc
Interface GroovyMemberDoc

    org.codehaus.groovy.groovydoc.GroovyProgramElementDoc
      org.codehaus.groovy.groovydoc.GroovyDoc
          org.codehaus.groovy.groovydoc.GroovyMemberDoc

All Superinterfaces:
  GroovyProgramElementDoc, GroovyDoc

    interface GroovyMemberDoc
    extends GroovyProgramElementDoc

Method Summary
`boolean` | `isSynthetic()`

Methods inherited from interface GroovyProgramElementDoc
annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName

Methods inherited from interface GroovyDoc
commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText

Methods inherited from interface Comparable
compareTo

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Method Detail

### isSynthetic

    public boolean isSynthetic()

Copyright © 2003-2009 The Codehaus. All rights reserved.